Jdt (Gradle API 2.14.1)

Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class Jdt

- org.gradle.plugins.ide.eclipse.model.Jdt

- Represents the Eclipse JDT settings.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Jdt (org.gradle.api.internal.PropertiesTransformer transformer)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected String` | `getDefaultResourceName()`
    `protected void` | `load(Properties properties)`
    `void` | `setSourceCompatibility(JavaVersion sourceCompatibility)` Sets the source compatibility for the compiler.
    `void` | `setTargetCompatibility(JavaVersion targetCompatibility)` Sets the target compatibility for the compiler.
    `protected void` | `store(Properties properties)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject` | `org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#transformAction(groovy.lang.Closure), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject#notifyAll()`
    `class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject` | `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notifyAll()`

- - ### Constructor Detail

    - #### public Jdt(org.gradle.api.internal.PropertiesTransformer transformer)

  - ### Method Detail

    - #### @Override protected String getDefaultResourceName()

    - #### @Override protected void load(Properties properties)

    - #### public void setSourceCompatibility(JavaVersion sourceCompatibility)

      Sets the source compatibility for the compiler.

    - #### public void setTargetCompatibility(JavaVersion targetCompatibility)

      Sets the target compatibility for the compiler.

    - #### @Override protected void store(Properties properties)